Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class ShellRunner

    java.lang.Object
      org.codehaus.groovy.tools.shell.ShellRunner

All Implemented Interfaces:
  Runnable

    abstract class ShellRunner
    extends Object

Support for running a Shell.

Authors:
  Jason Dillon

Version:
  \$Id: ShellRunner.groovy 12286 2008-05-04 13:41:55Z user57 \$

Field Summary
`protected Logger` | `log`

Property Summary
`boolean` | `breakOnNull`
`Closure` | `errorHandler`
`boolean` | `running`
`Shell` | `shell`

Constructor Summary
`ShellRunner(Shell shell)`

Method Summary
`protected String` | `readLine()`
`void` | `run()`
`protected boolean` | `work()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### log

    protected final Logger log

Property Detail

### breakOnNull

    boolean breakOnNull

### errorHandler

    Closure errorHandler

### running

    boolean running

### shell

    final Shell shell

Constructor Detail

### ShellRunner

    ShellRunner(Shell shell)

Method Detail

### readLine

    protected String readLine()

### run

    void run()

### work

    protected boolean work()

Copyright © 2003-2010 The Codehaus. All rights reserved.